import dynamix_sdk.base as _base


class CloudapiComputeAbortSharedSnapshotMergeResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudapiComputeAbortSharedSnapshotMergeProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def abort_shared_snapshot_merge(
        self,
        *,
        vm_id: int,
        label: str,
    ) -> CloudapiComputeAbortSharedSnapshotMergeResultBool:
        ...
